package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag708;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT708Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag27Creator extends AbsTagCreate {

     private MT708Creator mt708Creator;

    public Tag27Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt708Creator= (MT708Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag27Value = mt708Creator.getSequenceofTotal();
        mt708Creator.set("27", tag27Value);
    }
}
